    POSTSUPER(1)                                         POSTSUPER(1)

    NAME
           postsuper - Postfix super intendent

    SYNOPSIS
           postsuper [-p] [-s] [-v] [directory ...]

    DESCRIPTION
           The  postsuper  command does small maintenance jobs on the
           named Postfix queue directories (default: all).  Directory
           names  are  relative to the Postfix top-level queue direc-
           tory.

           By default, postsuper performs  the  operations  requested
           with the -s and -p command-line options.  postsuper always
           tries to remove objects that are neither files nor  direc-
           tories.   Use  of this command is restricted to the super-
           user.

           Options:

           -s     Structure check.  Move queue files that are in  the
                  wrong place in the file system hierarchy and remove
                  subdirectories that  are  no  longer  needed.  File
                  rearrangements  are necessary after a change in the
                  hash_queue_names and/or hash_queue_depth configura-
                  tion  parameters.  It  is highly recommended to run
                  this check once before Postfix startup.

           -p     Purge stale files (files that are left  over  after
                  system or software crashes).

           -v     Enable verbose logging for debugging purposes. Mul-
                  tiple -v options  make  the  software  increasingly
                  verbose.

    DIAGNOSTICS
           Problems  are reported to the standard error stream and to
           syslogd.

    CONFIGURATION PARAMETERS
           See the Postfix main.cf file for syntax  details  and  for
           default values.

           hash_queue_depth
                  Number of subdirectory levels for hashed queues.

           hash_queue_names
                  The  names of queues that are organized into multi-
                  ple levels of subdirectories.

    LICENSE
           The Secure Mailer license must be  distributed  with  this
           software.

                                                                    1

    POSTSUPER(1)                                         POSTSUPER(1)

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                                    2